Package Details: gnochm 0.9.11-3

Git Clone URL: https://aur.archlinux.org/gnochm.git (read-only)
Package Base: gnochm
Description: CHM file viewer for GNOME
Upstream URL: http://gnochm.sourceforge.net/
Licenses: GPL
Submitter: jose1711
Maintainer: jose1711
Last Packager: jose1711
Votes: 1
Popularity: 0.000001
First Submitted: 2015-10-04 16:22
Last Updated: 2015-10-04 16:23

Latest Comments

kaptoxic commented on 2015-12-13 19:50

So I tested gnochm by opening some files, but it crashes soon after I jump to arbitrary pages within the CHM file. (I did not experience such problems with xchm e.g.)
Is this a problem related to dependencies perhaps? (The link I included previously mentions a similar issue.)

jose1711 commented on 2015-12-13 10:35

i tried it on my 64bit test system and indeed i am seeing the very same error. at least i was able to open an example file (iexplore.chm). does the error prevent you from opening the desired chm file?

kaptoxic commented on 2015-12-12 20:40

So I added (in addition to x64 arch) the rarian package as dependency; the installation was successful.
Now, I am getting an error of installation not being done properly and:
"TypeError: color_parse() argument 1 must be string, not None"
which is similar to (https://bugs.launchpad.net/ubuntu/+source/gnochm/+bug/133781).

jose1711 commented on 2015-12-12 10:04

pacman -Qo `which scrollkeeper-config`
/usr/bin/scrollkeeper-config is owned by rarian 0.8.1-5

please try installing rarian before retrying

kaptoxic commented on 2015-12-12 01:08

First, I got:
ERROR: gnochm is not available for the 'x86_64' architecture
and after adding to PKGBUILD:
arch=('x86_64'):
I got these errors:
checking for scrollkeeper-config... no
configure: error: Couldn't find scrollkeeper-config
./configure: line 2032: exit: please: numeric argument required

jose1711 commented on 2015-12-11 13:59

please try now

kaptoxic commented on 2015-12-08 07:28

Two packages are missing:
"error: target not found: libgtkhtml
error: target not found: python2-gtkhtml2"